classification
Title: Travis: doc job is broken
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, haypo, refi64, zach.ware
Priority: normal Keywords:

Created on 2017-02-10 23:49 by haypo, last changed 2017-02-12 21:55 by haypo. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16 zach.ware, 2017-02-12 00:42
Messages (7)
msg287573 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-02-10 23:49
I suggest to disable the job until it's fixed, just to fix Travis right now. This issue will track the bug to find a solution.

https://travis-ci.org/python/cpython/jobs/200517775

$ make html SPHINXBUILD="./venv/bin/python3 -m sphinx" SPHINXOPTS="-nW -q -b linkcheck"
./venv/bin/python3 -m sphinx -b html -d build/doctrees -D latex_paper_size= -nW -q -b linkcheck . build/html 

Warning, treated as error:
WARNING: latex_preamble is deprecated. Use latex_elements['preamble'] instead.

make: *** [build] Error 1
msg287574 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-10 23:52
What would it take to simply fix the docs?

And we shouldn't disable the check entirely if fixing it is difficult, but instead just let warnings be warnings until we fix all warnings and then make them be errors again.
msg287579 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-02-11 00:31
> And we shouldn't disable the check entirely if fixing it is difficult, but instead just let warnings be warnings until we fix all warnings and then make them be errors again.

Ok, I changed my change (I got the same proposal in the PR). So I removed -W option:
https://github.com/python/cpython/commit/0d5f11061a873e9fb67ae59e46b3313e5ba22fc3
msg287586 - (view) Author: Ryan Gonzalez (refi64) * Date: 2017-02-11 01:38
Trying to fix this in https://github.com/python/cpython/pull/9...but...

Currently there are approx *pause for effect* 6,245 warnings!

Out of those, around 6,243 are 'reference target not found' warnings, spanning over 290 files:


/media/ryan/stuff/cpython/Doc/whatsnew/3.7.rst:121: WARNING: c:member reference target not found: doc
/media/ryan/stuff/cpython/Doc/whatsnew/3.7.rst:121: WARNING: c:type reference target not found: PyGetSetDef
/media/ryan/stuff/cpython/Doc/whatsnew/3.7.rst:121: WARNING: c:type reference target not found: wrapperbase
/media/ryan/stuff/cpython/Doc/whatsnew/3.7.rst:157: WARNING: py:mod reference target not found: ntpath
../../Misc/NEWS:348: WARNING: py:data reference target not found: socket.TCP_CONGESTION
../../Misc/NEWS:348: WARNING: py:data reference target not found: socket.TCP_USER_TIMEOUT
../../Misc/NEWS:1005: WARNING: py:data reference target not found: socket.TCP_CONGESTION
../../Misc/NEWS:1005: WARNING: py:data reference target not found: socket.TCP_USER_TIMEOUT
../../Misc/NEWS:2718: WARNING: py:obj reference target not found: idlelib/*.py
../../Misc/NEWS:2718: WARNING: py:obj reference target not found: idle_test/test_*.py
../../Misc/NEWS:2837: WARNING: c:func reference target not found: malloc
../../Misc/NEWS:2883: WARNING: c:func reference target not found: PyObject_Malloc


For some reason, I don't feel like fixing 6,200 warnings is really feasible (or at least for me), so would it be worth it to, in the mean time, disable this specific kind of warning, at least for the CI builds?
msg287617 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-11 18:54
It really depends on why the warnings are there. If it's a configuration issue with how Misc/NEWS is being built then that can be fixed to deal with a lot of warnings upfront. Otherwise we can also strip out the references from Misc/NEWS to deal with the warnings.
msg287629 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-02-12 00:42
PR16 made the Travis build situation better, but we still have some warnings to look into.  I thought we had a PR for that, but I can't seem to find it.
msg287655 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-02-12 21:55
I see that Travis CI now compiles the doc to HTML, there is a single warning and the doc works. So I close the issue. Thanks!

If you want to upgrade Sphinx, fix more warnings, etc. : please open new more specific issues for these tasks.
History
Date User Action Args
2017-02-12 21:55:17hayposetstatus: open -> closed
resolution: fixed
messages: + msg287655

stage: resolved
2017-02-12 00:42:49zach.waresetnosy: + zach.ware

messages: + msg287629
pull_requests: + pull_request34
2017-02-11 18:54:50brett.cannonsetmessages: + msg287617
2017-02-11 01:38:41refi64setnosy: + refi64
messages: + msg287586
2017-02-11 00:31:55hayposetmessages: + msg287579
2017-02-10 23:52:33brett.cannonsetnosy: + brett.cannon
messages: + msg287574
2017-02-10 23:49:33haypocreate